from enum import Enum


class Condition(Enum):
    GOOD = "Hyvä"
    AVERAGE = "Tyydyttävä"
    BELOW_AVERAGE = "Välttävä"
    NOT_CLASSIFIED = "Ei luokiteltu"


class Country(Enum):
    ALBANIA = "Albania"
    AUSTRALIA = "Australia"
    BELGIUM = "Belgia"
    BRASIL = "Brasilia"
    BULGARIA = "Bulgaria"
    COSTA_RICA = "Costa Rica"
    EGYPT = "Egypti"
    SPAIN = "Espanja"
    SOUTH_AFRICA = "Etelä-Afrikka"
    FILIPPINES = "Filippiinit"
    GAMBIA = "Gambia"
    INDONESIA = "Indonesia"
    ITALY = "Italia"
    CANADA = "Kanada"
    GREECE = "Kreikka"
    CROATIA = "Kroatia"
    CYPRUS = "Kypros"
    MEXICO = "Meksiko"
    NORWAY = "Norja"
    PANAMA = "Panama"
    PORTUGAL = "Portugali"
    FRANCE = "Ranska"
    SWEDEN = "Ruotsi"
    GERMANY = "Saksa"
    FINLAND = "Suomi"
    SWITZERLAND = "Sveitsi"
    DENMARK = "Tanska"
    THAILAND = "Thaimaa"
    TURKEY = "Turkki"
    USA = "USA"
    HUNGARY = "Unkari"
    RUSSIA = "Venäjä"
    ESTONIA = "Viro"


class HoldingType(Enum):
    OWN = "Oma"
    PARTIAL_OWNERSHIP = "Osaomistus"
    RIGHT_OF_OCCUPANCY = "Asumisoikeus"
    OTHER = "Muu"
    RENT = "Vuokra"
    PARTIAL_RENT = "Vuokrataan osa kiinteistöstä"


class ItemGroup(Enum):
    DWELLING = "Asunnot"
    HOLIDAY_APARTMENT = "Lomakohteet"
    OFFICE = "Toimitilat"
    RENTAL = "Vuokra-asunnot"
    ESTATE = "Maa- ja metsätilat"
    LOT = "Tontit"
    NEW_HOUSING = "Uudiskohteet"
    CARAGE_OR_OTHER = "Autotallit ja muut"


class RealtyGroup(Enum):
    RESIDENTIAL_APARTMENT = "asuinhuoneisto"
    RESIDENTIAL_PROPERTY = "asuinkiinteistö"
    NEW_BUILDING = "uudiskohde"
    RENTAL_APARTMENT = "vuokrahuoneisto"
    RENTAL_PROPERTY = "vuokrattava asuinkiinteistö"
    HOLIDAY_APARTMENT = "lomahuoneisto"
    HOLIDAY_PROPERTY = "lomakiinteistö"
    ESTATE = "maa- ja metsätila"
    CARAGE_AND_OTHER = "autotalli ja muu"
    LOT = "tontti"
    OFFICE = "toimitila"


class RealtyType(Enum):
    BLOCK_OF_FLATS = "Kerrostalo"
    ROW_HOUSE = "Rivitalo"
    HOUSE = "Omakotitalo"
    DUPLEX = "Paritalo"
    DETACHED_HOUSE = "Erillistalo"
    WOODEN_HOUSE_DEPARTMENT = "Puutalo-osake"
    OTHER = "Muut"
    BALCONY_ACCESS_HOUSE = "Luhtitalo"
    APARTMENT_ABROAD = "Huoneisto ulkomailla"
    SUMMER_COTTAGE_OR_VILLA = "Kesämökki tai huvila"
    TIME_SHARE = "Lomaosake"
    VACATION_APARTMENT = "Lomahuoneisto"
    FARM = "Maatila"
    FOREST_PROPERTY = "Metsatila"
    FIELD_AREA = "Peltoalue"
    UNSEPARATED_PARCEL = "Maaraala"
    WILDERNESS_AREA = "Eramaaalue"
    RESIDENTIAL_PLOT = "Okttontti"
    LEISURE_PLOT = "Vapaaajantontti"
    OTHER_PLOT = "Muutontti"
    CARPORT = "Autokatos"
    PARKING_SPACE = "Autopaikka"
    GARAGE = "Autotalli"
    GARAGE_SPACE = "Autohallipaikka"
    BERTH = "Venepaikka"
    STORAGE_SPACE = "Varastotila"
    BUSINESS_PREMISES = "Toimitila"


class TradeType(Enum):
    SALE = "myynti"
    RENT = "vuokraus"
    SALE_OR_RENT = "myynti tai vuokraus"
    PART_OWNERSHIP = "osaomistus"
    RIGHT_OF_OCCUPANCY = "asumisoikeus"
    PARTIAL_RENT = "vuokrataan osa kiinteistöä"
    OTHER = "muu"


class LinkType(Enum):
    EXTRA_VISIBILITY = "Lisänäkyvyyslinkki"
    EXTRA_INFO_1 = "Lisätietolinkki 1"
    EXTRA_INFO_2 = "Lisätietolinkki 2"
    EXTRA_INFO_3 = "Lisätietolinkki 3"
    EXTRA_INFO_4 = "Lisätietolinkki 4"
    EXTRA_INFO_5 = "Lisätietolinkki 5"
    AD_1 = "Mainos 1"
    AD_2 = "Mainos 2"
    AD_3 = "Mainos 3"
    AD_4 = "Mainos 4"
    AD_5 = "Mainos 5"
    AD_6 = "Mainos 6"
    PDF_PRESENTATION = "PDF -esitteen linkki"
    DETAILED_PRESENTATION = "Tarkempiesittelylinkki"
    NEW_HOUSING = "Uudiskohdelinkki"
    SEARCH_WATCH_AD = "Vahtiviestimainos"
    VIDEO = "Videolinkki"
    VIRTUAL = "Virtuaalilinkki"
    COLORING_PROGRAM = "Väritysohjelmalinkki"
    LANDING_PAGE = "Kohdesivulinkki"


class RealtyImageType(Enum):
    MAIN_IMAGE = "pääkuva"
    FLOOR_PLAN = "pohjakuva"
    GENERAL_IMAGE = "yleiskuva"


class TextKey(Enum):
    AD_INFO = "ad_info"
    AD_TITLE = "ad_title"
    ADDITIONAL_ITEMS_INFO = "additional_items_info"
    ARABLELAND = "arableland"
    BALCONYDESC = "balconydesc"
    BATHROOM_FIXTURES = "bathroom_fixtures"
    BATHROOMDESC = "bathroomdesc"
    BATHROOMFLOOR = "bathroomfloor"
    BATHROOMROOF = "bathroomroof"
    BATHROOMWALL = "bathroomwall"
    BEDROOM_COUNT = "bedroom_count"
    BEDROOM_DESC = "bedroom_desc"
    BEDROOM_FLOOR = "bedroom_floor"
    BEDROOM_WALL = "bedroom_wall"
    BUILDINGSPACES = "buildingspaces"
    BUILDINGURL = "buildingurl"
    BUILDTIME = "buildtime"
    CAMPAIGN_LINK_URL = "campaign_link_url"
    CHARGES_ROAD = "charges_road"
    CHARGES_TV = "charges_tv"
    CHARGESOTHER = "chargesother"
    CHARGESWATER = "chargeswater"
    CLAIMRIGHT = "claimright"
    CLIENTPHONE = "clientphone"
    COMMISSION = "commission"
    COMMONSPACEDESC = "commonspacedesc"
    CONDITION = "condition"
    CONDITIONS = "conditions"
    CONFERENCE_ROOM_INFO = "conference_room_info"
    CONNECTIONS = "connections"
    CONSTRUCTIONRIGHT = "constructionright"
    CONSTRUCTOR = "constructor"
    CONTACT_INFO = "contact_info"
    CONTACT_ITEMPAGE_EMAIL = "contact_itempage_email"
    CONTACT_MOBILEPHONE = "contact_mobilephone"
    CONTACT_NAME = "contact_name"
    CONTACT_PHONE = "contact_phone"
    CONTACT_TITLE = "contact_title"
    COURTYARD_FLORA = "courtyard_flora"
    COURTYARD_INFO = "courtyard_info"
    COURTYARD_VIEW = "courtyard_view"
    DEBTSHARE = "debtshare"
    DRIVEINSTRUCTION = "driveinstruction"
    ELECTRICITYCONSUMPTION = "electricityconsumption"
    ENERGYCERTIFICATE_DESC = "energycertificate_desc"
    ENCUMBRANCE = "encumbrance"
    ESTATENAME = "estatename"
    FIREPLACE_INFO = "fireplace_info"
    FIXTURES_INFO = "fixtures_info"
    FLATSTRUCTURE = "flatstructure"
    FLOOR = "floor"
    FLOOR_DESC = "floor_desc"
    FLOORMATERIAL_INFO = "floormaterial_info"
    FORESTAREA_INFO = "forestarea_info"
    GUARANTEE = "guarantee"
    HEATING = "heating"
    HOUSEMANAGER = "housemanager"
    INFO1 = "info1"
    KITCHENCABINET = "kitchencabinet"
    KITCHENDESC = "kitchendesc"
    KITCHENFLOOR = "kitchenfloor"
    KITCHENWALL = "kitchenwall"
    KITCHENWORKTOP = "kitchenworktop"
    LAUNDRY = "laundry"
    LAUNDRY_FIXTURES = "laundry_fixtures"
    LAUNDRY_FLOOR = "laundry_floor"
    LAUNDRY_ROOF = "laundry_roof"
    LAUNDRY_WALL = "laundry_wall"
    LIVINGROOM_FLOOR = "livingroom_floor"
    LIVINGROOM_INFO = "livingroom_info"
    LIVINGROOM_WALL = "livingroom_wall"
    LOGGINGPOTENTIAL_INFO = "loggingpotential_info"
    LOTDESC = "lotdesc"
    LOTRENT = "lotrent"
    LOTRENTER = "lotrenter"
    LOTRENTTIME = "lotrenttime"
    LOTTYPE = "lottype"
    MAINTENANCE = "maintenance"
    MATERIAL = "material"
    MORTGAGEDESC = "mortgagedesc"
    MUNICIPALENG = "municipaleng"
    OFFICE_SERVICES = "office_services"
    OTHERSPACEDESC = "otherspacedesc"
    PARKINGSPACE_INFO = "parkingspace_info"
    PARTITION = "partition"
    PRESENTATION = "presentation"
    RC_ASBESTOS_INFO = "rc_asbestos_info"
    RC_CONSTRUCTOR = "rc_constructor"
    RC_ENCUMBRANCE = "rc_encumbrance"
    RC_LOT_RENTER = "rc_lot_renter"
    RC_LOT_RENTTIME = "rc_lot_renttime"
    RC_RENOVATION_MADE = "rc_renovation_made"
    RC_TRANSFER_RESTRICTION = "rc_transfer_restriction"
    RC_ZONINGINFO = "rc_zoninginfo"
    REALTY_TAX_YEAR = "realty_tax_year"
    REALTYBUILDING = "realtybuilding"
    REALTYCOMPANY = "realtycompany"
    REALTYCOMPANYINFO = "realtycompanyinfo"
    REALTYDESC = "realtydesc"
    REGISTERNO = "registerno"
    RELEASE = "release"
    RENOVATION = "renovation"
    RENOVATIONMADE = "renovationmade"
    RENOVATIONPLANNED = "renovationplanned"
    RENTDUEDATE = "rentduedate"
    RESTAURANT_SERVICES = "restaurant_services"
    RESTROOM_INFO = "restroom_info"
    ROOF = "roof"
    ROOFING = "roofing"
    ROOFMATERIAL_INFO = "roofmaterial_info"
    ROOMNUMBER = "roomnumber"
    SAUNA_DESC = "sauna_desc"
    SAUNA_FIXTURES = "sauna_fixtures"
    SAUNAFLOOR = "saunafloor"
    SAUNAROOF = "saunaroof"
    SAUNAWALL = "saunawall"
    SCHOOL = "school"
    SECURITYSYSTEMS_INFO = "securitysystems_info"
    SERVICES = "services"
    SHOWING_AGENT_EMAIL = "showing_agent_email"
    SHOWING_AGENT_NAME = "showing_agent_name"
    SHOWING_AGENT_PHONE = "showing_agent_phone"
    SHOWING_ENDTIME = "showing_endtime"
    SHOWING_ENDTIME2 = "showing_endtime2"
    SHOWING_TIME2 = "showing_time2"
    SHOWING2_AGENT_EMAIL = "showing2_agent_email"
    SHOWING2_AGENT_NAME = "showing2_agent_name"
    SHOWING2_AGENT_PHONE = "showing2_agent_phone"
    SHOWINGTIME = "showingtime"
    SHOWING_INFO = "showing_info"
    SHOWING_INFO2 = "showing_info2"
    SHOWING_REMOTE_LINK = "showing_remote_link"
    SHOWING_REMOTE_LINK2 = "showing_remote_link2"
    SPACEDESC = "spacedesc"
    STAIRS_INFO = "stairs_info"
    STORAGEDESC = "storagedesc"
    STOVE = "stove"
    SUBSCRIPTIONS = "subscriptions"
    SUBSCRIPTIONS_SHIFT = "subscriptions_shift"
    SURFACESDESC = "surfacesdesc"
    SURROUNDINGS_INFO = "surroundings_info"
    TOILET_FIXTURES = "toilet_fixtures"
    TOILET_FLOOR = "toilet_floor"
    TOILET_INFO = "toilet_info"
    TOILET_ROOF = "toilet_roof"
    TOILET_WALL = "toilet_wall"
    TRANSFERRESTRICTION = "transferrestriction"
    TREESTAND = "treestand"
    USAGE = "usage"
    USAGERESTRICTION = "usagerestriction"
    VIEWDESC = "viewdesc"
    WALLMATERIAL_INFO = "wallmaterial_info"
    WATERAREADESC = "waterareadesc"
    WATERFRONTDIRECTION = "waterfrontdirection"
    WATERFRONTTYPEDESC = "waterfronttypedesc"
    WATERSUPPLYDESC = "watersupplydesc"
    WINDOW_INFO = "window_info"
    ZONING = "zoning"
    ZONINGINFO = "zoninginfo"


class TextLanguage(Enum):
    FI = "fi"


class RealtyOption(Enum):
    BALCONY = "parveke"
    ELEVATOR = "hissi"
    NO_SAUNA = "ei saunaa"
    OWN_SAUNA = "oma sauna"
    HOUSING_SAUNA = "taloyhtiössä sauna"
    YARD = "piha"
